#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'texttospeechconfigurationui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "texttospeechconfigurationui.h"

#include <ntqvariant.h>
#include <kurlrequester.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kcombobox.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a texttospeechconfigurationui as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
texttospeechconfigurationui::texttospeechconfigurationui( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "texttospeechconfigurationui" );
    texttospeechconfigurationuiLayout = new TQVBoxLayout( this, 11, 6, "texttospeechconfigurationuiLayout"); 

    Layout4 = new TQVBoxLayout( 0, 0, 6, "Layout4"); 

    urlLabel = new TQLabel( this, "urlLabel" );
    urlLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, urlLabel->sizePolicy().hasHeightForWidth() ) );
    Layout4->addWidget( urlLabel );

    urlReq = new KURLRequester( this, "urlReq" );
    urlReq->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, urlReq->sizePolicy().hasHeightForWidth() ) );
    Layout4->addWidget( urlReq );
    texttospeechconfigurationuiLayout->addLayout( Layout4 );

    Layout5 = new TQVBoxLayout( 0, 0, 6, "Layout5"); 

    characterCodingLabel = new TQLabel( this, "characterCodingLabel" );
    characterCodingLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, characterCodingLabel->sizePolicy().hasHeightForWidth() ) );
    Layout5->addWidget( characterCodingLabel );

    characterCodingBox = new KComboBox( FALSE, this, "characterCodingBox" );
    Layout5->addWidget( characterCodingBox );
    texttospeechconfigurationuiLayout->addLayout( Layout5 );

    stdInButton = new TQCheckBox( this, "stdInButton" );
    texttospeechconfigurationuiLayout->addWidget( stdInButton );

    useKttsd = new TQCheckBox( this, "useKttsd" );
    texttospeechconfigurationuiLayout->addWidget( useKttsd );
    languageChange();
    resize( TQSize(391, 222).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    urlLabel->setBuddy( urlReq );
    characterCodingLabel->setBuddy( characterCodingBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
texttospeechconfigurationui::~texttospeechconfigurationui()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void texttospeechconfigurationui::languageChange()
{
    setCaption( tr2i18n( "Text-to-Speech" ) );
    urlLabel->setText( tr2i18n( "C&ommand for speaking texts:" ) );
    TQWhatsThis::add( urlLabel, tr2i18n( "This field specifies both the command used for speaking texts and its parameters. KMouth knows the following placeholders:\n"
"%t -- the text that should be spoken\n"
"%f -- the name of a file containing the text\n"
"%l -- the language code\n"
"%% -- a percent sign" ) );
    TQWhatsThis::add( urlReq, tr2i18n( "This field specifies both the command used for speaking texts and its parameters. KMouth knows the following placeholders:\n"
"%t -- the text that should be spoken\n"
"%f -- the name of a file containing the text\n"
"%l -- the language code\n"
"%% -- a percent sign" ) );
    characterCodingLabel->setText( tr2i18n( "Character &encoding:" ) );
    TQWhatsThis::add( characterCodingLabel, tr2i18n( "This combo box specifies which character encoding is used for passing the text." ) );
    TQWhatsThis::add( characterCodingBox, tr2i18n( "This combo box specifies which character encoding is used for passing the text." ) );
    stdInButton->setText( tr2i18n( "Send the data as standard &input" ) );
    TQWhatsThis::add( stdInButton, tr2i18n( "This check box specifies whether the text is sent as standard input to the speech synthesizer." ) );
    useKttsd->setText( tr2i18n( "&Use KTTSD speech service if possible" ) );
    TQWhatsThis::add( useKttsd, tr2i18n( "This check box specifies KMouth tries to use the KTTSD speech service prior to calling the speech synthesizer directly. The KTTSD speech service is a TDE daemon which gives TDE applications a standardized interface for speech synthesis and is currently developed in CVS." ) );
}

/****************************************************************************
** texttospeechconfigurationui meta object code from reading C++ file 'texttospeechconfigurationui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "texttospeechconfigurationui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *texttospeechconfigurationui::className() const
{
    return "texttospeechconfigurationui";
}

TQMetaObject *texttospeechconfigurationui::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_texttospeechconfigurationui( "texttospeechconfigurationui", &texttospeechconfigurationui::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString texttospeechconfigurationui::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "texttospeechconfigurationui", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString texttospeechconfigurationui::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "texttospeechconfigurationui", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* texttospeechconfigurationui::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    static const TQUMethod signal_0 = {"configurationChanged", 0, 0 };
    static const TQMetaData signal_tbl[] = {
	{ "configurationChanged()", &signal_0, TQMetaData::Public }
    };
    metaObj = TQMetaObject::new_metaobject(
	"texttospeechconfigurationui", parentObject,
	slot_tbl, 1,
	signal_tbl, 1,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_texttospeechconfigurationui.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* texttospeechconfigurationui::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "texttospeechconfigurationui" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

// TQ_SIGNAL configurationChanged
void texttospeechconfigurationui::configurationChanged()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

bool texttospeechconfigurationui::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool texttospeechconfigurationui::tqt_emit( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: configurationChanged(); break;
    default:
	return TQWidget::tqt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef TQT_NO_PROPERTIES

bool texttospeechconfigurationui::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool texttospeechconfigurationui::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
