#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'preferencesui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "preferencesui.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a PreferencesUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PreferencesUI::PreferencesUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "PreferencesUI" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    PreferencesUILayout = new TQVBoxLayout( this, 11, 6, "PreferencesUILayout"); 

    Layout1 = new TQVBoxLayout( 0, 0, 6, "Layout1"); 

    speakLabel = new TQLabel( this, "speakLabel" );
    speakLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, speakLabel->sizePolicy().hasHeightForWidth() ) );
    Layout1->addWidget( speakLabel );

    speakCombo = new KComboBox( FALSE, this, "speakCombo" );
    Layout1->addWidget( speakCombo );
    PreferencesUILayout->addLayout( Layout1 );

    Layout2 = new TQVBoxLayout( 0, 0, 6, "Layout2"); 

    closeLabel = new TQLabel( this, "closeLabel" );
    closeLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, closeLabel->sizePolicy().hasHeightForWidth() ) );
    Layout2->addWidget( closeLabel );

    closeCombo = new KComboBox( FALSE, this, "closeCombo" );
    Layout2->addWidget( closeCombo );
    PreferencesUILayout->addLayout( Layout2 );
    languageChange();
    resize( TQSize(339, 148).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    speakLabel->setBuddy( speakCombo );
    closeLabel->setBuddy( closeCombo );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PreferencesUI::~PreferencesUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PreferencesUI::languageChange()
{
    setCaption( tr2i18n( "Preferences" ) );
    speakLabel->setText( tr2i18n( "&Selection of phrases in the phrase book:" ) );
    TQWhatsThis::add( speakLabel, tr2i18n( "This combo box specifies whether selected phrases of the phrase book are immediately spoken or just inserted into the edit field." ) );
    speakCombo->clear();
    speakCombo->insertItem( tr2i18n( "Speak Immediately" ) );
    speakCombo->insertItem( tr2i18n( "Insert Into Edit Field" ) );
    speakCombo->setCurrentItem( 1 );
    TQWhatsThis::add( speakCombo, tr2i18n( "This combo box specifies whether selected phrases of the phrase book are immediately spoken or just inserted into the edit field." ) );
    closeLabel->setText( tr2i18n( "Closing the phrase &book edit window:" ) );
    TQWhatsThis::add( closeLabel, tr2i18n( "This combo box specifies whether the phrase book is automatically saved when the edit window is closed." ) );
    closeCombo->clear();
    closeCombo->insertItem( tr2i18n( "Save Phrase Book" ) );
    closeCombo->insertItem( tr2i18n( "Discard Changes" ) );
    closeCombo->insertItem( tr2i18n( "Ask Whether to Save" ) );
    closeCombo->setCurrentItem( 2 );
    TQWhatsThis::add( closeCombo, tr2i18n( "This combo box specifies whether the phrase book is automatically saved when the edit window is closed." ) );
}

/****************************************************************************
** PreferencesUI meta object code from reading C++ file 'preferencesui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "preferencesui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *PreferencesUI::className() const
{
    return "PreferencesUI";
}

TQMetaObject *PreferencesUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_PreferencesUI( "PreferencesUI", &PreferencesUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString PreferencesUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PreferencesUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString PreferencesUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PreferencesUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* PreferencesUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"PreferencesUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_PreferencesUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* PreferencesUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PreferencesUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool PreferencesUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool PreferencesUI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool PreferencesUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool PreferencesUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
