#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'creationsourceui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "creationsourceui.h"

#include <ntqvariant.h>
#include <tqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "creationsourceui.ui.h"

/*
 *  Constructs a CreationSourceUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CreationSourceUI::CreationSourceUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "CreationSourceUI" );
    CreationSourceUILayout = new TQGridLayout( this, 1, 1, 11, 6, "CreationSourceUILayout"); 

    createButton = new TQRadioButton( this, "createButton" );
    createButton->setChecked( TRUE );

    CreationSourceUILayout->addMultiCellWidget( createButton, 0, 0, 0, 1 );

    mergeButton = new TQRadioButton( this, "mergeButton" );

    CreationSourceUILayout->addMultiCellWidget( mergeButton, 4, 4, 0, 1 );

    fileButton = new TQRadioButton( this, "fileButton" );
    fileButton->setEnabled( TRUE );
    fileButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 1, 0, fileButton->sizePolicy().hasHeightForWidth() ) );

    CreationSourceUILayout->addWidget( fileButton, 2, 1 );

    kdeDocButton = new TQRadioButton( this, "kdeDocButton" );
    kdeDocButton->setEnabled( TRUE );
    kdeDocButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 1, 0, kdeDocButton->sizePolicy().hasHeightForWidth() ) );
    kdeDocButton->setChecked( TRUE );

    CreationSourceUILayout->addWidget( kdeDocButton, 1, 1 );

    directoryButton = new TQRadioButton( this, "directoryButton" );
    directoryButton->setEnabled( TRUE );
    directoryButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 1, 0, directoryButton->sizePolicy().hasHeightForWidth() ) );

    CreationSourceUILayout->addWidget( directoryButton, 3, 1 );
    spacer1 = new TQSpacerItem( 20, 40, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    CreationSourceUILayout->addMultiCell( spacer1, 1, 3, 0, 0 );

    emptyButton = new TQRadioButton( this, "emptyButton" );

    CreationSourceUILayout->addMultiCellWidget( emptyButton, 5, 5, 0, 1 );
    languageChange();
    resize( TQSize(318, 223).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( createButton, TQ_SIGNAL( toggled(bool) ), kdeDocButton, TQ_SLOT( setEnabled(bool) ) );
    connect( createButton, TQ_SIGNAL( toggled(bool) ), fileButton, TQ_SLOT( setEnabled(bool) ) );
    connect( createButton, TQ_SIGNAL( toggled(bool) ), directoryButton, TQ_SLOT( setEnabled(bool) ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
CreationSourceUI::~CreationSourceUI()
{
    destroy();
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CreationSourceUI::languageChange()
{
    createButton->setText( tr2i18n( "C&reate new dictionary:" ) );
    TQWhatsThis::add( createButton, tr2i18n( "If you select this box a new dictionary is created by either loading a dictionary file or by counting the individual words in a text." ) );
    mergeButton->setText( tr2i18n( "&Merge dictionaries" ) );
    TQWhatsThis::add( mergeButton, tr2i18n( "If you select this box a new dictionary is created by merging existing dictionaries." ) );
    fileButton->setText( tr2i18n( "From &file" ) );
    TQWhatsThis::add( fileButton, tr2i18n( "If you select this box a new dictionary is created by loading a file. You may either select an XML file, a standard text file or a file containing a word completion dictionary. If you select a standard text file or an XML file the frequentness of the individual words is detected by simply counting the occurrences of each word." ) );
    kdeDocButton->setText( tr2i18n( "From &TDE documentation" ) );
    TQWhatsThis::add( kdeDocButton, tr2i18n( "If you select this box a new dictionary is created by parsing the TDE documentation. The frequentness of the individual words is detect by simply counting the occurrences of each word." ) );
    directoryButton->setText( tr2i18n( "From f&older" ) );
    TQWhatsThis::add( directoryButton, tr2i18n( "If you select this box a new dictionary is created by loading all files in a folder and its subdirectories." ) );
    emptyButton->setText( tr2i18n( "Create an &empty wordlist" ) );
    TQWhatsThis::add( emptyButton, tr2i18n( "If you select this box a blank dictionary without any entries is created. As KMouth automatically adds newly typed words to the dictionaries it will learn your vocabulary with the time." ) );
}

/****************************************************************************
** CreationSourceUI meta object code from reading C++ file 'creationsourceui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "creationsourceui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *CreationSourceUI::className() const
{
    return "CreationSourceUI";
}

TQMetaObject *CreationSourceUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_CreationSourceUI( "CreationSourceUI", &CreationSourceUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString CreationSourceUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "CreationSourceUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString CreationSourceUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "CreationSourceUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* CreationSourceUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"CreationSourceUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_CreationSourceUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* CreationSourceUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CreationSourceUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool CreationSourceUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool CreationSourceUI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool CreationSourceUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool CreationSourceUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
