#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kdedocsourceui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kdedocsourceui.h"

#include <ntqvariant.h>
#include <kurlrequester.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "klanguagebutton.h"
#include "klanguagebuttonhelper.h"
#include "kdedocsourceui.ui.h"

/*
 *  Constructs a KDEDocSourceUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KDEDocSourceUI::KDEDocSourceUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KDEDocSourceUI" );
    KDEDocSourceUILayout = new TQGridLayout( this, 1, 1, 11, 6, "KDEDocSourceUILayout"); 

    spellCheckBox = new TQCheckBox( this, "spellCheckBox" );
    spellCheckBox->setChecked( FALSE );

    KDEDocSourceUILayout->addMultiCellWidget( spellCheckBox, 1, 1, 0, 1 );

    ooDictURL = new KURLRequester( this, "ooDictURL" );
    ooDictURL->setEnabled( FALSE );
    ooDictURL->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 1, 0, ooDictURL->sizePolicy().hasHeightForWidth() ) );

    KDEDocSourceUILayout->addWidget( ooDictURL, 2, 1 );

    languageLabel = new TQLabel( this, "languageLabel" );
    languageLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, languageLabel->sizePolicy().hasHeightForWidth() ) );

    KDEDocSourceUILayout->addWidget( languageLabel, 0, 0 );
    languageChange();
    resize( TQSize(272, 100).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( spellCheckBox, TQ_SIGNAL( toggled(bool) ), ooDictURL, TQ_SLOT( setEnabled(bool) ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
KDEDocSourceUI::~KDEDocSourceUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KDEDocSourceUI::languageChange()
{
    spellCheckBox->setText( tr2i18n( "&Compare to OpenOffice.org dictionary:" ) );
    TQWhatsThis::add( spellCheckBox, tr2i18n( "If you select this check box the words from the TDE documentation are spell-checked before they are inserted into the new dictionary." ) );
    TQWhatsThis::add( ooDictURL, tr2i18n( "With this input field you select the OpenOffice.org directory that will be used to spellcheck the words of the new dictionary." ) );
    languageLabel->setText( tr2i18n( "&Language:" ) );
    TQWhatsThis::add( languageLabel, tr2i18n( "With this combo box you select which of the installed languages is used for creating the new dictionary. KMouth will only parse documentation files of this language." ) );
}

/****************************************************************************
** KDEDocSourceUI meta object code from reading C++ file 'kdedocsourceui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "kdedocsourceui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KDEDocSourceUI::className() const
{
    return "KDEDocSourceUI";
}

TQMetaObject *KDEDocSourceUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KDEDocSourceUI( "KDEDocSourceUI", &KDEDocSourceUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KDEDocSourceUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KDEDocSourceUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KDEDocSourceUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KDEDocSourceUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KDEDocSourceUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KDEDocSourceUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KDEDocSourceUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KDEDocSourceUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KDEDocSourceUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KDEDocSourceUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KDEDocSourceUI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KDEDocSourceUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KDEDocSourceUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
