#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'freeverb_setup.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "freeverb_setup.h"

#include <ntqvariant.h>
#include <kpushbutton.h>
#include <ntqpushbutton.h>
#include <ntqframe.h>
#include <ntqlabel.h>
#include <ntqlcdnumber.h>
#include <ntqslider.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a Freeverb_Setup as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
Freeverb_Setup::Freeverb_Setup( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "Freeverb_Setup" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 360, 300 ) );
    Freeverb_SetupLayout = new TQVBoxLayout( this, 11, 6, "Freeverb_SetupLayout"); 
    Freeverb_SetupLayout->setResizeMode( TQLayout::Minimum );

    layout6 = new TQHBoxLayout( 0, 0, 6, "layout6"); 

    frame_room = new TQFrame( this, "frame_room" );
    frame_room->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)3, 0, 0, frame_room->sizePolicy().hasHeightForWidth() ) );
    frame_room->setMinimumSize( TQSize( 0, 260 ) );
    frame_room->setFrameShape( TQFrame::StyledPanel );
    frame_room->setFrameShadow( TQFrame::Raised );
    frame_roomLayout = new TQVBoxLayout( frame_room, 11, 6, "frame_roomLayout"); 

    textLabel_room = new TQLabel( frame_room, "textLabel_room" );
    textLabel_room->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignCenter ) );
    frame_roomLayout->addWidget( textLabel_room );

    LCD_room = new TQLCDNumber( frame_room, "LCD_room" );
    LCD_room->setEnabled( TRUE );
    LCD_room->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, LCD_room->sizePolicy().hasHeightForWidth() ) );
    LCD_room->setPaletteBackgroundColor( TQColor( 171, 223, 171 ) );
    LCD_room->setFrameShape( TQLCDNumber::Panel );
    LCD_room->setFrameShadow( TQLCDNumber::Sunken );
    LCD_room->setLineWidth( 2 );
    LCD_room->setNumDigits( 2 );
    LCD_room->setSegmentStyle( TQLCDNumber::Flat );
    frame_roomLayout->addWidget( LCD_room );

    slider_room = new TQSlider( frame_room, "slider_room" );
    slider_room->setEnabled( TRUE );
    slider_room->setMinValue( 0 );
    slider_room->setMaxValue( 99 );
    slider_room->setLineStep( 5 );
    slider_room->setValue( 99 );
    slider_room->setOrientation( TQSlider::Vertical );
    slider_room->setTickmarks( TQSlider::Above );
    frame_roomLayout->addWidget( slider_room );
    layout6->addWidget( frame_room );

    frame_damp = new TQFrame( this, "frame_damp" );
    frame_damp->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)3, 0, 0, frame_damp->sizePolicy().hasHeightForWidth() ) );
    frame_damp->setMinimumSize( TQSize( 0, 260 ) );
    frame_damp->setFrameShape( TQFrame::StyledPanel );
    frame_damp->setFrameShadow( TQFrame::Raised );
    frame_dampLayout = new TQVBoxLayout( frame_damp, 11, 6, "frame_dampLayout"); 

    textLabel_damp = new TQLabel( frame_damp, "textLabel_damp" );
    textLabel_damp->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignCenter ) );
    frame_dampLayout->addWidget( textLabel_damp );

    LCD_damp = new TQLCDNumber( frame_damp, "LCD_damp" );
    LCD_damp->setEnabled( TRUE );
    LCD_damp->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, LCD_damp->sizePolicy().hasHeightForWidth() ) );
    LCD_damp->setPaletteBackgroundColor( TQColor( 171, 223, 171 ) );
    LCD_damp->setFrameShape( TQLCDNumber::Panel );
    LCD_damp->setFrameShadow( TQLCDNumber::Sunken );
    LCD_damp->setLineWidth( 2 );
    LCD_damp->setNumDigits( 2 );
    LCD_damp->setSegmentStyle( TQLCDNumber::Flat );
    frame_dampLayout->addWidget( LCD_damp );

    slider_damp = new TQSlider( frame_damp, "slider_damp" );
    slider_damp->setEnabled( TRUE );
    slider_damp->setLineStep( 5 );
    slider_damp->setValue( 99 );
    slider_damp->setOrientation( TQSlider::Vertical );
    slider_damp->setTickmarks( TQSlider::Above );
    frame_dampLayout->addWidget( slider_damp );
    layout6->addWidget( frame_damp );

    frame_wet = new TQFrame( this, "frame_wet" );
    frame_wet->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)3, 0, 0, frame_wet->sizePolicy().hasHeightForWidth() ) );
    frame_wet->setMinimumSize( TQSize( 0, 260 ) );
    frame_wet->setFrameShape( TQFrame::StyledPanel );
    frame_wet->setFrameShadow( TQFrame::Raised );
    frame_wetLayout = new TQVBoxLayout( frame_wet, 11, 6, "frame_wetLayout"); 

    textLabel_wet = new TQLabel( frame_wet, "textLabel_wet" );
    textLabel_wet->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignCenter ) );
    frame_wetLayout->addWidget( textLabel_wet );

    LCD_wet = new TQLCDNumber( frame_wet, "LCD_wet" );
    LCD_wet->setEnabled( TRUE );
    LCD_wet->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, LCD_wet->sizePolicy().hasHeightForWidth() ) );
    LCD_wet->setPaletteBackgroundColor( TQColor( 171, 223, 171 ) );
    LCD_wet->setFrameShape( TQLCDNumber::Panel );
    LCD_wet->setFrameShadow( TQLCDNumber::Sunken );
    LCD_wet->setLineWidth( 2 );
    LCD_wet->setNumDigits( 2 );
    LCD_wet->setSegmentStyle( TQLCDNumber::Flat );
    frame_wetLayout->addWidget( LCD_wet );

    slider_wet = new TQSlider( frame_wet, "slider_wet" );
    slider_wet->setEnabled( TRUE );
    slider_wet->setLineStep( 5 );
    slider_wet->setValue( 99 );
    slider_wet->setOrientation( TQSlider::Vertical );
    slider_wet->setTickmarks( TQSlider::Above );
    frame_wetLayout->addWidget( slider_wet );
    layout6->addWidget( frame_wet );

    frame_dry = new TQFrame( this, "frame_dry" );
    frame_dry->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)3, 0, 0, frame_dry->sizePolicy().hasHeightForWidth() ) );
    frame_dry->setMinimumSize( TQSize( 0, 260 ) );
    frame_dry->setFrameShape( TQFrame::StyledPanel );
    frame_dry->setFrameShadow( TQFrame::Raised );
    frame_dryLayout = new TQVBoxLayout( frame_dry, 11, 6, "frame_dryLayout"); 

    textLabel_dry = new TQLabel( frame_dry, "textLabel_dry" );
    textLabel_dry->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignCenter ) );
    frame_dryLayout->addWidget( textLabel_dry );

    LCD_dry = new TQLCDNumber( frame_dry, "LCD_dry" );
    LCD_dry->setEnabled( TRUE );
    LCD_dry->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, LCD_dry->sizePolicy().hasHeightForWidth() ) );
    LCD_dry->setPaletteBackgroundColor( TQColor( 171, 223, 171 ) );
    LCD_dry->setFrameShape( TQLCDNumber::Panel );
    LCD_dry->setFrameShadow( TQLCDNumber::Sunken );
    LCD_dry->setLineWidth( 2 );
    LCD_dry->setNumDigits( 2 );
    LCD_dry->setSegmentStyle( TQLCDNumber::Flat );
    frame_dryLayout->addWidget( LCD_dry );

    slider_dry = new TQSlider( frame_dry, "slider_dry" );
    slider_dry->setEnabled( TRUE );
    slider_dry->setLineStep( 5 );
    slider_dry->setValue( 99 );
    slider_dry->setOrientation( TQSlider::Vertical );
    slider_dry->setTickmarks( TQSlider::Above );
    frame_dryLayout->addWidget( slider_dry );
    layout6->addWidget( frame_dry );

    frame_width = new TQFrame( this, "frame_width" );
    frame_width->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)3, 0, 0, frame_width->sizePolicy().hasHeightForWidth() ) );
    frame_width->setMinimumSize( TQSize( 0, 260 ) );
    frame_width->setFrameShape( TQFrame::StyledPanel );
    frame_width->setFrameShadow( TQFrame::Raised );
    frame_widthLayout = new TQVBoxLayout( frame_width, 11, 6, "frame_widthLayout"); 

    textLabel_width = new TQLabel( frame_width, "textLabel_width" );
    textLabel_width->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignCenter ) );
    frame_widthLayout->addWidget( textLabel_width );

    LCD_width = new TQLCDNumber( frame_width, "LCD_width" );
    LCD_width->setEnabled( TRUE );
    LCD_width->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, LCD_width->sizePolicy().hasHeightForWidth() ) );
    LCD_width->setPaletteBackgroundColor( TQColor( 171, 223, 171 ) );
    LCD_width->setFrameShape( TQLCDNumber::Panel );
    LCD_width->setFrameShadow( TQLCDNumber::Sunken );
    LCD_width->setLineWidth( 2 );
    LCD_width->setNumDigits( 2 );
    LCD_width->setSegmentStyle( TQLCDNumber::Flat );
    frame_widthLayout->addWidget( LCD_width );

    slider_width = new TQSlider( frame_width, "slider_width" );
    slider_width->setEnabled( TRUE );
    slider_width->setLineStep( 5 );
    slider_width->setValue( 99 );
    slider_width->setOrientation( TQSlider::Vertical );
    slider_width->setTickmarks( TQSlider::Above );
    frame_widthLayout->addWidget( slider_width );
    layout6->addWidget( frame_width );
    Freeverb_SetupLayout->addLayout( layout6 );

    line5 = new TQFrame( this, "line5" );
    line5->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)0, 0, 0, line5->sizePolicy().hasHeightForWidth() ) );
    line5->setFrameShape( TQFrame::HLine );
    line5->setFrameShadow( TQFrame::Sunken );
    line5->setFrameShape( TQFrame::HLine );
    Freeverb_SetupLayout->addWidget( line5 );

    layout12 = new TQHBoxLayout( 0, 0, 6, "layout12"); 
    spacer13 = new TQSpacerItem( 180, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout12->addItem( spacer13 );

    OK_Button = new KPushButton( this, "OK_Button" );
    OK_Button->setMinimumSize( TQSize( 60, 0 ) );
    OK_Button->setAutoDefault( TRUE );
    layout12->addWidget( OK_Button );
    Freeverb_SetupLayout->addLayout( layout12 );
    languageChange();
    resize( TQSize(360, 325).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( slider_room, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( sliderRoomChanged(int) ) );
    connect( slider_damp, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( sliderDampChanged(int) ) );
    connect( slider_wet, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( sliderWetChanged(int) ) );
    connect( slider_dry, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( sliderDryChanged(int) ) );
    connect( slider_width, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( sliderWidthChanged(int) ) );
    connect( OK_Button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotOKwasClicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Freeverb_Setup::~Freeverb_Setup()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Freeverb_Setup::languageChange()
{
    setCaption( tr2i18n( "FreeVerb" ) );
    textLabel_room->setText( tr2i18n( "<b>Room</b>" ) );
    textLabel_damp->setText( tr2i18n( "<b>Damp</b>" ) );
    textLabel_wet->setText( tr2i18n( "<b>Wet</b>" ) );
    textLabel_dry->setText( tr2i18n( "<b>Dry</b>" ) );
    textLabel_width->setText( tr2i18n( "<b>Width</b>" ) );
    OK_Button->setText( tr2i18n( "&OK" ) );
}

void Freeverb_Setup::sliderRoomChanged(int)
{
    tqWarning( "Freeverb_Setup::sliderRoomChanged(int): Not implemented yet" );
}

void Freeverb_Setup::sliderDampChanged(int)
{
    tqWarning( "Freeverb_Setup::sliderDampChanged(int): Not implemented yet" );
}

void Freeverb_Setup::sliderWetChanged(int)
{
    tqWarning( "Freeverb_Setup::sliderWetChanged(int): Not implemented yet" );
}

void Freeverb_Setup::sliderDryChanged(int)
{
    tqWarning( "Freeverb_Setup::sliderDryChanged(int): Not implemented yet" );
}

void Freeverb_Setup::sliderWidthChanged(int)
{
    tqWarning( "Freeverb_Setup::sliderWidthChanged(int): Not implemented yet" );
}

void Freeverb_Setup::slotOKwasClicked()
{
    tqWarning( "Freeverb_Setup::slotOKwasClicked(): Not implemented yet" );
}

/****************************************************************************
** Freeverb_Setup meta object code from reading C++ file 'freeverb_setup.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "freeverb_setup.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *Freeverb_Setup::className() const
{
    return "Freeverb_Setup";
}

TQMetaObject *Freeverb_Setup::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_Freeverb_Setup( "Freeverb_Setup", &Freeverb_Setup::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString Freeverb_Setup::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Freeverb_Setup", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString Freeverb_Setup::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Freeverb_Setup", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* Freeverb_Setup::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"sliderRoomChanged", 1, param_slot_0 };
    static const TQUParameter param_slot_1[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_1 = {"sliderDampChanged", 1, param_slot_1 };
    static const TQUParameter param_slot_2[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_2 = {"sliderWetChanged", 1, param_slot_2 };
    static const TQUParameter param_slot_3[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_3 = {"sliderDryChanged", 1, param_slot_3 };
    static const TQUParameter param_slot_4[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_4 = {"sliderWidthChanged", 1, param_slot_4 };
    static const TQUMethod slot_5 = {"slotOKwasClicked", 0, 0 };
    static const TQUMethod slot_6 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "sliderRoomChanged(int)", &slot_0, TQMetaData::Public },
	{ "sliderDampChanged(int)", &slot_1, TQMetaData::Public },
	{ "sliderWetChanged(int)", &slot_2, TQMetaData::Public },
	{ "sliderDryChanged(int)", &slot_3, TQMetaData::Public },
	{ "sliderWidthChanged(int)", &slot_4, TQMetaData::Public },
	{ "slotOKwasClicked()", &slot_5, TQMetaData::Public },
	{ "languageChange()", &slot_6, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"Freeverb_Setup", parentObject,
	slot_tbl, 7,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_Freeverb_Setup.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* Freeverb_Setup::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Freeverb_Setup" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool Freeverb_Setup::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: sliderRoomChanged((int)static_QUType_int.get(_o+1)); break;
    case 1: sliderDampChanged((int)static_QUType_int.get(_o+1)); break;
    case 2: sliderWetChanged((int)static_QUType_int.get(_o+1)); break;
    case 3: sliderDryChanged((int)static_QUType_int.get(_o+1)); break;
    case 4: sliderWidthChanged((int)static_QUType_int.get(_o+1)); break;
    case 5: slotOKwasClicked(); break;
    case 6: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool Freeverb_Setup::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool Freeverb_Setup::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool Freeverb_Setup::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
