#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'hadifixconfigui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "hadifixconfigui.h"

#include <ntqvariant.h>
#include <tdeglobal.h>
#include <tqstringlist.h>
#include <math.h>
#include <kiconloader.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <knuminput.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqslider.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "hadifixconfigui.ui.h"

/*
 *  Constructs a HadifixConfigUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
HadifixConfigUI::HadifixConfigUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "HadifixConfigUI" );
    HadifixConfigUILayout = new TQGridLayout( this, 1, 1, 0, 6, "HadifixConfigUILayout"); 

    GroupBox4 = new TQGroupBox( this, "GroupBox4" );
    GroupBox4->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, GroupBox4->sizePolicy().hasHeightForWidth() ) );
    GroupBox4->setColumnLayout(0, TQt::Vertical );
    GroupBox4->layout()->setSpacing( 6 );
    GroupBox4->layout()->setMargin( 11 );
    GroupBox4Layout = new TQGridLayout( GroupBox4->layout() );
    GroupBox4Layout->setAlignment( TQt::AlignTop );

    basicOptions = new TQGroupBox( GroupBox4, "basicOptions" );
    basicOptions->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, basicOptions->sizePolicy().hasHeightForWidth() ) );
    basicOptions->setFrameShape( TQGroupBox::Box );
    basicOptions->setFrameShadow( TQGroupBox::Sunken );
    basicOptions->setColumnLayout(0, TQt::Vertical );
    basicOptions->layout()->setSpacing( 6 );
    basicOptions->layout()->setMargin( 11 );
    basicOptionsLayout = new TQGridLayout( basicOptions->layout() );
    basicOptionsLayout->setAlignment( TQt::AlignTop );

    voiceLabel = new TQLabel( basicOptions, "voiceLabel" );
    voiceLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)5, 0, 0, voiceLabel->sizePolicy().hasHeightForWidth() ) );

    basicOptionsLayout->addWidget( voiceLabel, 0, 0 );

    voiceCombo = new KComboBox( FALSE, basicOptions, "voiceCombo" );
    voiceCombo->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 1, 0, voiceCombo->sizePolicy().hasHeightForWidth() ) );

    basicOptionsLayout->addMultiCellWidget( voiceCombo, 0, 0, 1, 2 );

    voiceButton = new KPushButton( basicOptions, "voiceButton" );
    voiceButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, voiceButton->sizePolicy().hasHeightForWidth() ) );

    basicOptionsLayout->addWidget( voiceButton, 0, 3 );

    volumeLabel = new TQLabel( basicOptions, "volumeLabel" );
    volumeLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)5, 0, 0, volumeLabel->sizePolicy().hasHeightForWidth() ) );

    basicOptionsLayout->addWidget( volumeLabel, 1, 0 );

    volumeBox = new KIntSpinBox( basicOptions, "volumeBox" );
    volumeBox->setEnabled( TRUE );
    volumeBox->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, volumeBox->sizePolicy().hasHeightForWidth() ) );
    volumeBox->setMaxValue( 200 );
    volumeBox->setMinValue( 50 );
    volumeBox->setValue( 100 );

    basicOptionsLayout->addWidget( volumeBox, 1, 1 );

    volumeSlider = new TQSlider( basicOptions, "volumeSlider" );
    volumeSlider->setEnabled( TRUE );
    volumeSlider->setFocusPolicy( TQSlider::NoFocus );
    volumeSlider->setMinValue( 0 );
    volumeSlider->setMaxValue( 1000 );
    volumeSlider->setLineStep( 10 );
    volumeSlider->setPageStep( 100 );
    volumeSlider->setValue( 500 );
    volumeSlider->setOrientation( TQSlider::Horizontal );
    volumeSlider->setTickmarks( TQSlider::NoMarks );

    basicOptionsLayout->addMultiCellWidget( volumeSlider, 1, 1, 2, 3 );

    timeLabel = new TQLabel( basicOptions, "timeLabel" );
    timeLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)5, 0, 0, timeLabel->sizePolicy().hasHeightForWidth() ) );

    basicOptionsLayout->addWidget( timeLabel, 2, 0 );

    timeBox = new KIntSpinBox( basicOptions, "timeBox" );
    timeBox->setEnabled( TRUE );
    timeBox->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, timeBox->sizePolicy().hasHeightForWidth() ) );
    timeBox->setMaxValue( 200 );
    timeBox->setMinValue( 50 );
    timeBox->setValue( 100 );

    basicOptionsLayout->addWidget( timeBox, 2, 1 );

    timeSlider = new TQSlider( basicOptions, "timeSlider" );
    timeSlider->setEnabled( TRUE );
    timeSlider->setFocusPolicy( TQSlider::NoFocus );
    timeSlider->setMaxValue( 1000 );
    timeSlider->setLineStep( 10 );
    timeSlider->setPageStep( 100 );
    timeSlider->setValue( 500 );
    timeSlider->setOrientation( TQSlider::Horizontal );

    basicOptionsLayout->addMultiCellWidget( timeSlider, 2, 2, 2, 3 );

    frequencyLabel = new TQLabel( basicOptions, "frequencyLabel" );
    frequencyLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)5, 0, 0, frequencyLabel->sizePolicy().hasHeightForWidth() ) );

    basicOptionsLayout->addWidget( frequencyLabel, 3, 0 );

    frequencyBox = new KIntSpinBox( basicOptions, "frequencyBox" );
    frequencyBox->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, frequencyBox->sizePolicy().hasHeightForWidth() ) );
    frequencyBox->setMaxValue( 200 );
    frequencyBox->setMinValue( 50 );
    frequencyBox->setValue( 100 );

    basicOptionsLayout->addWidget( frequencyBox, 3, 1 );

    frequencySlider = new TQSlider( basicOptions, "frequencySlider" );
    frequencySlider->setFocusPolicy( TQSlider::NoFocus );
    frequencySlider->setMaxValue( 1000 );
    frequencySlider->setLineStep( 10 );
    frequencySlider->setPageStep( 100 );
    frequencySlider->setValue( 500 );
    frequencySlider->setOrientation( TQSlider::Horizontal );

    basicOptionsLayout->addMultiCellWidget( frequencySlider, 3, 3, 2, 3 );

    GroupBox4Layout->addMultiCellWidget( basicOptions, 0, 0, 0, 1 );

    advancedOptions = new TQGroupBox( GroupBox4, "advancedOptions" );
    advancedOptions->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, advancedOptions->sizePolicy().hasHeightForWidth() ) );
    advancedOptions->setColumnLayout(0, TQt::Vertical );
    advancedOptions->layout()->setSpacing( 6 );
    advancedOptions->layout()->setMargin( 11 );
    advancedOptionsLayout = new TQGridLayout( advancedOptions->layout() );
    advancedOptionsLayout->setAlignment( TQt::AlignTop );

    hadifixBinLabel = new TQLabel( advancedOptions, "hadifixBinLabel" );

    advancedOptionsLayout->addWidget( hadifixBinLabel, 0, 0 );

    hadifixURL = new KURLRequester( advancedOptions, "hadifixURL" );
    hadifixURL->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, hadifixURL->sizePolicy().hasHeightForWidth() ) );

    advancedOptionsLayout->addWidget( hadifixURL, 0, 1 );

    mbrolaBinLabel = new TQLabel( advancedOptions, "mbrolaBinLabel" );

    advancedOptionsLayout->addWidget( mbrolaBinLabel, 1, 0 );

    mbrolaURL = new KURLRequester( advancedOptions, "mbrolaURL" );
    mbrolaURL->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, mbrolaURL->sizePolicy().hasHeightForWidth() ) );

    advancedOptionsLayout->addWidget( mbrolaURL, 1, 1 );

    layout5 = new TQHBoxLayout( 0, 0, 6, "layout5"); 

    characterCodingLabel = new TQLabel( advancedOptions, "characterCodingLabel" );
    characterCodingLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, characterCodingLabel->sizePolicy().hasHeightForWidth() ) );
    layout5->addWidget( characterCodingLabel );

    characterCodingBox = new KComboBox( FALSE, advancedOptions, "characterCodingBox" );
    characterCodingBox->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, characterCodingBox->sizePolicy().hasHeightForWidth() ) );
    layout5->addWidget( characterCodingBox );

    advancedOptionsLayout->addMultiCellLayout( layout5, 2, 2, 0, 1 );

    GroupBox4Layout->addMultiCellWidget( advancedOptions, 1, 1, 0, 1 );
    spacer1 = new TQSpacerItem( 240, 20, TQSizePolicy::Preferred, TQSizePolicy::Minimum );
    GroupBox4Layout->addItem( spacer1, 2, 0 );

    testButton = new KPushButton( GroupBox4, "testButton" );
    testButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, testButton->sizePolicy().hasHeightForWidth() ) );

    GroupBox4Layout->addWidget( testButton, 2, 1 );

    HadifixConfigUILayout->addWidget( GroupBox4, 0, 0 );
    languageChange();
    resize( TQSize(578, 388).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( volumeBox, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( volumeBox_valueChanged(int) ) );
    connect( volumeSlider, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( volumeSlider_valueChanged(int) ) );
    connect( timeBox, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( timeBox_valueChanged(int) ) );
    connect( timeSlider, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( timeSlider_valueChanged(int) ) );
    connect( frequencyBox, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( frequencyBox_valueChanged(int) ) );
    connect( frequencySlider, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( frequencySlider_valueChanged(int) ) );
    connect( voiceCombo, TQ_SIGNAL( activated(const TQString&) ), this, TQ_SLOT( changed(const TQString&) ) );
    connect( volumeBox, TQ_SIGNAL( valueChanged(const TQString&) ), this, TQ_SLOT( changed(const TQString&) ) );
    connect( timeBox, TQ_SIGNAL( valueChanged(const TQString&) ), this, TQ_SLOT( changed(const TQString&) ) );
    connect( frequencyBox, TQ_SIGNAL( valueChanged(const TQString&) ), this, TQ_SLOT( changed(const TQString&) ) );
    connect( hadifixURL, TQ_SIGNAL( textChanged(const TQString&) ), this, TQ_SLOT( changed(const TQString&) ) );
    connect( mbrolaURL, TQ_SIGNAL( textChanged(const TQString&) ), this, TQ_SLOT( changed(const TQString&) ) );

    // buddies
    voiceLabel->setBuddy( voiceCombo );
    volumeLabel->setBuddy( volumeBox );
    timeLabel->setBuddy( timeBox );
    frequencyLabel->setBuddy( frequencyBox );
    hadifixBinLabel->setBuddy( hadifixURL );
    mbrolaBinLabel->setBuddy( mbrolaURL );
    characterCodingLabel->setBuddy( characterCodingBox );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
HadifixConfigUI::~HadifixConfigUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HadifixConfigUI::languageChange()
{
    setCaption( tr2i18n( "Hadifix Configuration" ) );
    TQWhatsThis::add( this, tr2i18n( "This is the configuration dialog for the Hadifix (txt2pho and Mbrola) speech synthesizer." ) );
    GroupBox4->setTitle( tr2i18n( "Had&ifix Configuration" ) );
    TQWhatsThis::add( GroupBox4, tr2i18n( "This is the configuration dialog for the Hadifix (txt2pho and Mbrola) speech synthesizer." ) );
    basicOptions->setTitle( tr2i18n( "&Basic Options" ) );
    voiceLabel->setText( tr2i18n( "&Voice file:" ) );
    TQWhatsThis::add( voiceLabel, tr2i18n( "Select a voice for speaking text.  If no voices are listed, check your Mbrola configuration.  You must install at least one voice." ) );
    TQWhatsThis::add( voiceCombo, tr2i18n( "Select a voice for speaking text.  If no voices are listed, check your Mbrola configuration.  You must install at least one voice." ) );
    voiceButton->setText( tr2i18n( "&Select..." ) );
    volumeLabel->setText( tr2i18n( "Volume &ratio:" ) );
    TQWhatsThis::add( volumeLabel, tr2i18n( "Adjusts the volume of speech.  Slide to left for softer speech; to the right for louder." ) );
    volumeBox->setSuffix( tr2i18n( " %" ) );
    TQWhatsThis::add( volumeBox, tr2i18n( "Adjusts the volume of speech.  Slide to left for softer speech; to the right for louder." ) );
    TQWhatsThis::add( volumeSlider, tr2i18n( "Adjusts the volume of speech.  Slide to left for softer speech; to the right for louder." ) );
    timeLabel->setText( tr2i18n( "Speed:" ) );
    TQWhatsThis::add( timeLabel, tr2i18n( "Adjusts the speed of speech.  Slide to left for slower speech; to the right for faster." ) );
    timeBox->setSuffix( tr2i18n( " %" ) );
    TQWhatsThis::add( timeBox, tr2i18n( "Adjusts the speed of speech.  Slide to left for slower speech; to the right for faster." ) );
    TQWhatsThis::add( timeSlider, tr2i18n( "Adjusts the speed of speech.  Slide to left for slower speech; to the right for faster." ) );
    frequencyLabel->setText( tr2i18n( "&Pitch:" ) );
    TQWhatsThis::add( frequencyLabel, tr2i18n( "Adjusts the pitch (tone) of speech.  Slide to left for lower speech; to the right for higher." ) );
    frequencyBox->setSuffix( tr2i18n( " %" ) );
    TQWhatsThis::add( frequencyBox, tr2i18n( "Adjusts the pitch (tone) of speech.  Slide to left for lower speech; to the right for higher." ) );
    TQWhatsThis::add( frequencySlider, tr2i18n( "Adjusts the pitch (tone) of speech.  Slide to left for lower speech; to the right for higher." ) );
    advancedOptions->setTitle( tr2i18n( "&Advanced Options" ) );
    hadifixBinLabel->setText( tr2i18n( "txt2pho e&xecutable:" ) );
    TQWhatsThis::add( hadifixBinLabel, tr2i18n( "If the txt2pho program is in your PATH environment variable, simply enter \"txt2pho\", otherwise specify the full path to the txt2pho executable program." ) );
    TQWhatsThis::add( hadifixURL, tr2i18n( "If the txt2pho program is in your PATH environment variable, simply enter \"txt2pho\", otherwise specify the full path to the txt2pho executable program." ) );
    mbrolaBinLabel->setText( tr2i18n( "&Mbrola executable:" ) );
    TQWhatsThis::add( mbrolaBinLabel, tr2i18n( "If the Mbrola program is in your PATH environment variable, simply enter \"mbrola\", otherwise specify the full path to the Mbrola executable program." ) );
    TQWhatsThis::add( mbrolaURL, tr2i18n( "If the Mbrola program is in your PATH environment variable, simply enter \"mbrola\", otherwise specify the full path to the Mbrola executable program." ) );
    characterCodingLabel->setText( tr2i18n( "Character &encoding:" ) );
    TQWhatsThis::add( characterCodingBox, tr2i18n( "This combo box specifies which character encoding is used for passing the text.  For most western languages, use ISO-8859-1.  For Hungarian, use ISO-8859-2." ) );
    testButton->setText( tr2i18n( "&Test" ) );
    TQWhatsThis::add( testButton, tr2i18n( "Click to test the configuration.  You should hear a spoken sentence." ) );
}

/****************************************************************************
** HadifixConfigUI meta object code from reading C++ file 'hadifixconfigui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "hadifixconfigui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *HadifixConfigUI::className() const
{
    return "HadifixConfigUI";
}

TQMetaObject *HadifixConfigUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_HadifixConfigUI( "HadifixConfigUI", &HadifixConfigUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString HadifixConfigUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "HadifixConfigUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString HadifixConfigUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "HadifixConfigUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* HadifixConfigUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUParameter param_slot_1[] = {
	{ "percentValue", &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_1 = {"volumeBox_valueChanged", 1, param_slot_1 };
    static const TQUParameter param_slot_2[] = {
	{ "percentValue", &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_2 = {"timeBox_valueChanged", 1, param_slot_2 };
    static const TQUParameter param_slot_3[] = {
	{ "percentValue", &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_3 = {"frequencyBox_valueChanged", 1, param_slot_3 };
    static const TQUParameter param_slot_4[] = {
	{ "sliderValue", &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_4 = {"volumeSlider_valueChanged", 1, param_slot_4 };
    static const TQUParameter param_slot_5[] = {
	{ "sliderValue", &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_5 = {"timeSlider_valueChanged", 1, param_slot_5 };
    static const TQUParameter param_slot_6[] = {
	{ "sliderValue", &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_6 = {"frequencySlider_valueChanged", 1, param_slot_6 };
    static const TQUParameter param_slot_7[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_7 = {"changed", 1, param_slot_7 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "volumeBox_valueChanged(int)", &slot_1, TQMetaData::Protected },
	{ "timeBox_valueChanged(int)", &slot_2, TQMetaData::Protected },
	{ "frequencyBox_valueChanged(int)", &slot_3, TQMetaData::Protected },
	{ "volumeSlider_valueChanged(int)", &slot_4, TQMetaData::Protected },
	{ "timeSlider_valueChanged(int)", &slot_5, TQMetaData::Protected },
	{ "frequencySlider_valueChanged(int)", &slot_6, TQMetaData::Protected },
	{ "changed(const TQString&)", &slot_7, TQMetaData::Protected }
    };
    static const TQUParameter param_signal_0[] = {
	{ 0, &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod signal_0 = {"changed", 1, param_signal_0 };
    static const TQMetaData signal_tbl[] = {
	{ "changed(bool)", &signal_0, TQMetaData::Public }
    };
    metaObj = TQMetaObject::new_metaobject(
	"HadifixConfigUI", parentObject,
	slot_tbl, 8,
	signal_tbl, 1,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_HadifixConfigUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* HadifixConfigUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "HadifixConfigUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

// TQ_SIGNAL changed
void HadifixConfigUI::changed( bool t0 )
{
    activate_signal_bool( staticMetaObject()->signalOffset() + 0, t0 );
}

bool HadifixConfigUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: volumeBox_valueChanged((int)static_QUType_int.get(_o+1)); break;
    case 2: timeBox_valueChanged((int)static_QUType_int.get(_o+1)); break;
    case 3: frequencyBox_valueChanged((int)static_QUType_int.get(_o+1)); break;
    case 4: volumeSlider_valueChanged((int)static_QUType_int.get(_o+1)); break;
    case 5: timeSlider_valueChanged((int)static_QUType_int.get(_o+1)); break;
    case 6: frequencySlider_valueChanged((int)static_QUType_int.get(_o+1)); break;
    case 7: changed((const TQString&)static_QUType_TQString.get(_o+1)); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool HadifixConfigUI::tqt_emit( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: changed((bool)static_QUType_bool.get(_o+1)); break;
    default:
	return TQWidget::tqt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef TQT_NO_PROPERTIES

bool HadifixConfigUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool HadifixConfigUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
